{
  "schema_version": "1.4.0",
  "id": "GHSA-jgfg-vvq8-cfx3",
  "modified": "2025-04-03T04:34:14Z",
  "published": "2022-05-01T06:56:41Z",
  "aliases": [
    "CVE-2006-2193"
  ],
  "details": "Buffer overflow in the t2p_write_pdf_string function in tiff2pdf in libtiff 3.8.2 and earlier allows attackers to cause a denial of service (crash) and possibly execute arbitrary code via a TIFF file with a DocumentName tag that contains UTF-8 characters, which triggers the overflow when a character is sign extended to an integer that produces more digits than expected in an sprintf call.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2006-2193"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/26991"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9788"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/289-1"
    },
    {
      "type": "WEB",
      "url": "http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=370355"
    },
    {
      "type": "WEB",
      "url": "http://bugzilla.remotesensing.org/show_bug.cgi?id=1196"
    },
    {
      "type": "WEB",
      "url": "http://lists.suse.com/archive/suse-security-announce/2006-Jun/0008.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20488"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20501"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20520"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20693"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/20766"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/21002"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27181"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27222"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27832"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31670"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200607-03.xml"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-103160-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-201331-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2006/dsa-1091"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2006:102"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0848.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/18331"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2006/2197"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3486"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/4034"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2006-06-08T19:06:00Z"
  }
}